Extending Qt Creator Manual | ExtraCompilerFactory

Extending Qt Creator Manual 4.5.2

# ExtraCompilerFactory Class

(ProjectExplorer::ExtraCompilerFactory)

- List of all members, including inherited members

## Public Functions

| ExtraCompilerFactory(QObject *parent = nullptr)
| ~ExtraCompilerFactory()
virtual ExtraCompiler * | create(const Project *project, const Utils::FileName &source, const Utils::FileNameList &targets) = 0
virtual QString | sourceTag() const = 0
virtual FileType | sourceType() const = 0

## Static Public Members

QList<ExtraCompilerFactory *> | extraCompilerFactories()

## Member Function Documentation

### ExtraCompilerFactory::ExtraCompilerFactory(QObject *parent = nullptr)

Default constructs an instance of ExtraCompilerFactory.

### ExtraCompilerFactory::~ExtraCompilerFactory()

Destroys the instance of ExtraCompilerFactory.

### `[pure virtual]` ExtraCompiler *ExtraCompilerFactory::create(const Project *project, const Utils::FileName &source, const Utils::FileNameList &targets)

### `[static]` QList<ExtraCompilerFactory *> ExtraCompilerFactory::extraCompilerFactories()

### `[pure virtual]` QString ExtraCompilerFactory::sourceTag() const

### `[pure virtual]` FileType ExtraCompilerFactory::sourceType() const